classification
Title: urllib.request.Request documentation erroneously refers to the "final two"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Alan De Smet, CuriousLearner, Mariatta, docs@python, miss-islington, orsenthil
Priority: normal Keywords: patch

Created on 2019-06-12 19:12 by Alan De Smet, last changed 2019-08-16 08:28 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14792 merged nsiregar, 2019-07-16 14:46
PR 15277 merged miss-islington, 2019-08-14 13:41
PR 15278 merged miss-islington, 2019-08-14 13:41
Messages (7)
msg345403 - (view) Author: Alan De Smet (Alan De Smet) Date: 2019-06-12 19:12
In Doc/library/urllib.request.rst, in the documentation for the class `Request`, it says

```
   The final two arguments are only of interest for correct handling
   of third-party HTTP cookies:
```

However, three arguments follow, not two, and the last is not necessarily related to third-party cookie handling.

I believe replacing "final" with "next" will correct the sentence:

```
   The next two arguments are only of interest for correct handling
   of third-party HTTP cookies:
```

Verified present in the source releases for CPython 3.5.7, 3.6.8, 3.7.3, 3.8.0b1. It is _not_ present in 2.7.16 (as the third parameter didn't yet exist, so the existing phrasing is correct.)
msg345404 - (view) Author: Alan De Smet (Alan De Smet) Date: 2019-06-12 19:13
Oops, used to GitHub/GitLab, where Markdown is fair game. Sorry about that. :-)
msg349539 - (view) Author: Sanyam Khurana (CuriousLearner) * (Python triager) Date: 2019-08-13 10:23
Thanks for the bug report Alan & for the PR Ngalim!

I've checked the current docs and this is a valid bug.

I've also reviewed the Pull request and it looks good to me.

@Mariatta, @Senthil can you please have a look at this?

Many thanks!
msg349627 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2019-08-14 01:11
New changeset 38c7199beb30ae9a5005c0f0d9df9fae0da3680a by Senthil Kumaran (Ngalim Siregar) in branch 'master':
bpo-37256: Wording in Request class docs (#14792)
https://github.com/python/cpython/commit/38c7199beb30ae9a5005c0f0d9df9fae0da3680a
msg349699 - (view) Author: miss-islington (miss-islington) Date: 2019-08-14 13:55
New changeset 3e1f135b26cf5fb3583d7e75d39b7b7a9edb472c by Miss Islington (bot) in branch '3.7':
bpo-37256: Wording in Request class docs (GH-14792)
https://github.com/python/cpython/commit/3e1f135b26cf5fb3583d7e75d39b7b7a9edb472c
msg349850 - (view) Author: miss-islington (miss-islington) Date: 2019-08-16 08:27
New changeset f9919121460bffc04f935dbdb85f0af3ffbd3ddf by Miss Islington (bot) in branch '3.8':
bpo-37256: Wording in Request class docs (GH-14792)
https://github.com/python/cpython/commit/f9919121460bffc04f935dbdb85f0af3ffbd3ddf
msg349851 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2019-08-16 08:28
Thank you for the patch, CuriousLearner.
History
Date User Action Args
2019-08-16 08:28:18orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg349851

stage: patch review -> resolved
2019-08-16 08:27:39miss-islingtonsetmessages: + msg349850
2019-08-14 13:55:57miss-islingtonsetnosy: + miss-islington
messages: + msg349699
2019-08-14 13:41:34miss-islingtonsetpull_requests: + pull_request15001
2019-08-14 13:41:28miss-islingtonsetpull_requests: + pull_request15000
2019-08-14 01:11:04orsenthilsetmessages: + msg349627
2019-08-13 10:23:34CuriousLearnersetnosy: + orsenthil, Mariatta, CuriousLearner

messages: + msg349539
versions: - Python 3.5, Python 3.6
2019-07-16 14:46:07nsiregarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14587
2019-06-12 19:13:32Alan De Smetsetmessages: + msg345404
2019-06-12 19:12:35Alan De Smetcreate